org.apache.maven.scm.providers.gitlib.settings.io.xpp3

## Class GitXpp3Reader

- java.lang.Object
- - org.apache.maven.scm.providers.gitlib.settings.io.xpp3.GitXpp3Reader

-     public class GitXpp3Reader
      extends Object

  Class GitXpp3Reader.
  Version:
    $Revision$ $Date$

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `GitXpp3Reader.ContentTransformer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GitXpp3Reader.ContentTransformer` | `contentTransformer` Field contentTransformer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitXpp3Reader()`
    `GitXpp3Reader(GitXpp3Reader.ContentTransformer contentTransformer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAddDefaultEntities()` Returns the state of the "add default entities" flag.
    `Settings` | `read(InputStream in)` Method read.
    `Settings` | `read(InputStream in, boolean strict)` Method read.
    `Settings` | `read(Reader reader)`
    `Settings` | `read(Reader reader, boolean strict)`
    `void` | `setAddDefaultEntities(boolean addDefaultEntities)` Sets the state of the "add default entities" flag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contentTransformer

          public final GitXpp3Reader.ContentTransformer contentTransformer

      Field contentTransformer.

  - ### Constructor Detail

    - #### GitXpp3Reader

          public GitXpp3Reader()

    - #### GitXpp3Reader

          public GitXpp3Reader(GitXpp3Reader.ContentTransformer contentTransformer)

  - ### Method Detail

    - #### getAddDefaultEntities

          public boolean getAddDefaultEntities()

      Returns the state of the "add default entities" flag.
      Returns:
        boolean

    - #### read

          public Settings read(Reader reader,
                      boolean strict)
                        throws IOException,
                               org.codehaus.plexus.util.xml.pull.XmlPullParserException

      Parameters:
        `reader` -
        `strict` -
      Returns:
        Settings
      Throws:
        `IOException`
        `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
      See Also:
        `ReaderFactory.newXmlReader(java.io.InputStream)`

    - #### read

          public Settings read(Reader reader)
                        throws IOException,
                               org.codehaus.plexus.util.xml.pull.XmlPullParserException

      Parameters:
        `reader` -
      Returns:
        Settings
      Throws:
        `IOException`
        `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
      See Also:
        `ReaderFactory.newXmlReader(java.io.InputStream)`

    - #### read

          public Settings read(InputStream in,
                      boolean strict)
                        throws IOException,
                               org.codehaus.plexus.util.xml.pull.XmlPullParserException

      Method read.
      Parameters:
        `in` -
        `strict` -
      Returns:
        Settings
      Throws:
        `IOException`
        `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

    - #### read

          public Settings read(InputStream in)
                        throws IOException,
                               org.codehaus.plexus.util.xml.pull.XmlPullParserException

      Method read.
      Parameters:
        `in` -
      Returns:
        Settings
      Throws:
        `IOException`
        `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

    - #### setAddDefaultEntities

          public void setAddDefaultEntities(boolean addDefaultEntities)

      Sets the state of the "add default entities" flag.
      Parameters:
        `addDefaultEntities` -

Copyright © 2003–2015. All rights reserved.